KAKASI-PYKAKASI(1)

NAME
kakasi-pykakasi - Kana kanji simple inversion

SYNOPSIS
kakasi-pykakasi [-h] [-v] [-I INFILE] [-O OUTFILE] [-w] [-r {k,h,p}] [-s] [-S SEPARATOR] [-f] [-C] [-U] [-E {a,N}] [-J {a,H,K,N}] [-K {a,H,N}] [-H {a,K,N}] [-a {E,N}]

DESCRIPTION
kakasi implementation on Python

  Executable Options

--version, -v
    Display version

--help, -h
    Display help text

--input, -i <filename>
    input file name (default STDIN)

--output, -o <filename>
    output file name (default STDOUT)

  Mode Options

--wakati, -w
    wakati gaki mode

-f  furigana mode

  Conversion Options
These switch alphabets are derived from original Kakasi.

Each option character means character sets as follows:

Character Sets
    a: ascii j: jisroman g: graphic k: kana
    (j,k defined in jisx0201)

    E: kigou K: katakana H: hiragana J: kanji
    (E,K,H,J defined in jisx0208)

-K <a|H|N>
    How convert Katakana to: a,H,None

-H <a|K|N>
    How convert Hiragana to: a,K,None

-J <a|H|K|N>
    How convert Kanji to: a,H,K,None

-a <E|N>
    How convert ASCII Roman to: E,None

-E <a|N>
    How convert JIS Roman to: a,None

  Behavior Options

-U  Output characters in uppercase

-C  Capitalize first roman character of each words

--space, -s
    Insert space character between words

--roman, -r <h|k|p>
    Roman word conversion rule. It takes following keywords:

    h   hepburn

    k   kunrei

    p   passport

--separator, -S <character>
    Specify separator character for inserting between words

  Exit status
Command line executable return codes:

0   convert successful